import requests
url = "https://api.paywise.de/v2/webhook-deliveries/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v2/webhook-deliveries/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v2/webhook-deliveries/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v2/webhook-deliveries/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v2/webhook-deliveries/ \
--header 'Authorization: Bearer <token>'{
"count": 123,
"results": [
{
"attempts": 123,
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"error_message": "<string>",
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"idempotency_key": "<string>",
"last_attempt_at": "2023-11-07T05:31:56Z",
"next_retry_at": "2023-11-07T05:31:56Z",
"payload": {
"created_at": "2026-07-18T12:00:00Z",
"data": {
"claim_ids": [
"30000000-0000-4000-8000-000000000001"
],
"company_id": "10000000-0000-4000-8000-000000000001",
"order_id": "20000000-0000-4000-8000-000000000001",
"order_url": "/v2/orders/20000000-0000-4000-8000-000000000001/"
},
"id": "00000000-0000-4000-8000-000000000001",
"type": "order.submitted"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_body": "<string>",
"response_status_code": 123,
"status": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"webhook": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"webhook_url": "<string>"
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}{
"code": "validation_error",
"detail": "The request contains invalid data.",
"errors": [
{
"code": "invalid",
"field": "claims[0].due_date",
"message": "Due date must not precede the document date."
}
]
}{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}List webhook deliveries
Read-only webhook delivery log, plus manual redelivery.
import requests
url = "https://api.paywise.de/v2/webhook-deliveries/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v2/webhook-deliveries/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v2/webhook-deliveries/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v2/webhook-deliveries/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v2/webhook-deliveries/ \
--header 'Authorization: Bearer <token>'{
"count": 123,
"results": [
{
"attempts": 123,
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"error_message": "<string>",
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"idempotency_key": "<string>",
"last_attempt_at": "2023-11-07T05:31:56Z",
"next_retry_at": "2023-11-07T05:31:56Z",
"payload": {
"created_at": "2026-07-18T12:00:00Z",
"data": {
"claim_ids": [
"30000000-0000-4000-8000-000000000001"
],
"company_id": "10000000-0000-4000-8000-000000000001",
"order_id": "20000000-0000-4000-8000-000000000001",
"order_url": "/v2/orders/20000000-0000-4000-8000-000000000001/"
},
"id": "00000000-0000-4000-8000-000000000001",
"type": "order.submitted"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_body": "<string>",
"response_status_code": 123,
"status": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"webhook": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"webhook_url": "<string>"
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}{
"code": "validation_error",
"detail": "The request contains invalid data.",
"errors": [
{
"code": "invalid",
"field": "claims[0].due_date",
"message": "Due date must not precede the document date."
}
]
}{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Authorizations
Company-bound Case Management API key — the standard credential for this API.
Headers
Required when a Partner key calls the Case Management API; rejected for direct Case keys. Contains the entitled paywise company UUID.
Query Parameters
Exact Case event type.
order.submitted, order.withdrawn, order.rejected, order.accepted, order.expired, mandate.created, mandate.state.changed, mandate.status_update.published, mandate.balance_updated, order.message.created, mandate.message.created, request_to_client.created, request_to_client.answered, payment.reported, statement.published, statement.cancelled, single_mandate_statement.published, single_mandate_statement.cancelled, invoice.created, invoice.paid, invoice.cancelled, invoice.written_off, dunning.level_advanced, dunning.handed_to_collection Number of results to return (maximum 100).
1 <= x <= 100Zero-based result offset.
x >= 0Exact delivery state: pending, delivering, retrying, success, or failed.
delivering, failed, pending, retrying, success Return rows changed at or after this timezone-aware RFC 3339 timestamp. Results are ordered by updated_at and id.
Return only deliveries for this webhook subscription's UUID.
Response
Total number of matching resources.
123
Resources returned for the requested page.
Show child attributes
Show child attributes
URL for the next page, or null when this is the last page.
"http://api.example.org/accounts/?offset=400&limit=100"
URL for the previous page, or null when this is the first page.
"http://api.example.org/accounts/?offset=200&limit=100"
